Page MenuHomePhabricator

Hovercards aren't loaded on any wikis
Closed, ResolvedPublic

Description

Hovercards aren't working on any foundation wikis:

  • There is no exception in the console.
  • mw.loader.getState('ext.betaFeatures.popup') or mw.loader.getState('ext.popups') shows registered, but not loaded.
  • Calling mw.loader.load('ext.betaFeatures.popup') explicitly, doesn't work
  • Calling mw.loader.load('ext.popups') explicitly, works.

Event Timeline

eranroz created this task.Dec 17 2015, 5:15 PM
eranroz updated the task description. (Show Details)
eranroz raised the priority of this task from to Needs Triage.
eranroz assigned this task to Kipod.
eranroz added a project: Page-Previews.
eranroz added a subscriber: eranroz.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 5:15 PM

Possibly related to resource loader changes T113092?

eranroz removed Kipod as the assignee of this task.Dec 17 2015, 5:18 PM
eranroz set Security to None.
eranroz added a subscriber: Kipod.
eranroz updated the task description. (Show Details)Dec 17 2015, 5:57 PM
Jdlrobson triaged this task as Normal priority.Dec 17 2015, 6:22 PM
Jdlrobson added a subscriber: Jdlrobson.
Prtksxna renamed this task from Hovercards aren't loaded in hewiki to Hovercards aren't loaded on any wikis.Dec 18 2015, 5:06 PM
Prtksxna updated the task description. (Show Details)
Prtksxna raised the priority of this task from Normal to High.

Do we know when this broke? Was it during the wmf.9 rollout?

Change 260091 had a related patch set uploaded (by Legoktm):
Use ExtensionRegistry to determine whether TextExtracts is installed

https://gerrit.wikimedia.org/r/260091

Change 260091 merged by jenkins-bot:
Use ExtensionRegistry to determine whether TextExtracts is installed

https://gerrit.wikimedia.org/r/260091

Change 260346 had a related patch set uploaded (by Prtksxna):
Use ExtensionRegistry to determine whether TextExtracts is installed

https://gerrit.wikimedia.org/r/260346

Change 260346 merged by jenkins-bot:
Use ExtensionRegistry to determine whether TextExtracts is installed

https://gerrit.wikimedia.org/r/260346

Prtksxna closed this task as Resolved.Dec 21 2015, 5:00 PM

Fixed and SWATed.